# $Revision: 1.43.2.2 $, $Date: 2007/01/29 09:10:28 $
Summary:	Next generation window manager for Xfce
Summary(pl):	Zarzdca okien nowej generacji dla Xfce
Name:		xfwm4
Version:	4.4.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	8bb7231a20b30bfc1936b0facb9f072c
Patch0:		%{name}-locale-names.patch
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.8.20
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	xfce4-dev-tools >= %{version}
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	xfce-mcs-manager >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfwm4 is a EWMH standard compliant window manager.

%description -l pl
xfwm4 to zarzdca okien zgodny ze standardem EWMH.

%prep
%setup -q
%patch0 -p1

mv -f po/{pt_PT,pt}.po
mv -f po/{nb_NO,nb}.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/themes

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO example.gtkrc-2.0
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/xfce4/mcs-plugins/*.so

%{_desktopdir}/*.desktop

%dir %{_datadir}/xfwm4
%{_datadir}/xfwm4/defaults
%{_datadir}/themes/*
%{_iconsdir}/hicolor/*/*/*

%docdir %{_datadir}/xfce4/doc
# undermentioned dirs belong to xfce-mcs-manager
%{_datadir}/xfce4/doc/C/*
%lang(fr) %{_datadir}/xfce4/doc/fr/*
%lang(it) %{_datadir}/xfce4/doc/it/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfwm4.spec,v $
Revision 1.43.2.2  2007/01/29 09:10:28  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.48  2007/01/22 18:02:34  megabajt
- updated to 4.4.0

Revision 1.47  2006/11/06 21:39:10  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- updated deps

Revision 1.46  2006/09/04 16:23:28  megabajt
- up to 4.3.99.1
- use rpm macros

Revision 1.45  2006/07/16 18:48:54  freetz
- merged from DEVEL, update icon cache

Revision 1.44.2.5  2006/07/16 18:47:17  freetz
- 4.3.90.2, updated deps, --as-needed support, removed obsolete configure_ac
  patch, removed compositor bcond (can be disabled at runtime)

Revision 1.44.2.4  2006/07/01 14:47:10  lmasko
- added patch xfwm4-configure_ac.patch to correct configure.ac syntax

Revision 1.44.2.3  2006/05/17 06:18:21  charles
- cosmetics

Revision 1.44.2.2  2006/05/17 05:27:53  charles
- default is --enable-compositor

Revision 1.44.2.1  2006/04/26 19:29:52  troll
- updated to 4.3.90.1

Revision 1.44  2006/03/17 16:36:55  megabajt
- modular xorg deps

Revision 1.43.2.1  2006/07/05 15:12:40  havner
- intltoolize before glib-gettextize
- removed TODO, /usr/share/themes/Default is owned by X11-libs

Revision 1.43  2005/11/17 04:58:19  charles
- updated to 4.2.3.2

Revision 1.42  2005/11/10 02:59:41  charles
- updated to 4.2.3.1

Revision 1.41  2005/07/07 11:06:07  spider
- deleted de ad fr descriptions

Revision 1.40  2005/07/04 21:55:31  qboosh
- sorted descs (although they don't match here anyway...)

Revision 1.39  2005/07/04 18:09:12  saq
- fixed fr spelling, adapterized

Revision 1.38  2005/07/04 13:32:22  spider
- French, Germany descrption and summary merged from wikipedia.

Revision 1.37  2005/05/20 18:03:46  qboosh
- lang() for xfce docs

Revision 1.36  2005/05/20 13:59:47  koorek
- updated to 4.2.2
- BR xfce4-dev-tools
- added fr docs

Revision 1.35  2005/03/18 07:20:11  charles
- BR: gettext-devel

Revision 1.34  2005/03/16 04:48:08  koorek
- updated to 4.2.1

Revision 1.33  2005/03/14 17:28:04  glen
- add TODO

Revision 1.32  2005/01/17 18:20:07  charles
- updated to 4.2.0 final

Revision 1.31  2005/01/04 21:39:59  havner
- reverted Rs, Charles, be careful

Revision 1.30  2005/01/04 17:00:07  charles
- proper BRs versions
- added bcond compositor
- removed redundant R
- cosmetics in licence
- rel. 2 for STBR

Revision 1.29  2004/12/28 16:57:50  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.28  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.27  2004/12/14 14:05:00  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.26  2004/11/27 19:28:03  havner
- merged from DEVEL

Revision 1.25  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.24  2004/07/12 17:40:19  troll
- updated to 4.0.6

Revision 1.23  2004/07/08 12:00:46  qboosh
- added locale-names patch, fix fa,nb,pt names; release 2

Revision 1.22  2004/07/07 21:25:31  qboosh
- include fr html resources

Revision 1.21.2.13  2004/11/27 11:41:49  havner
- don't own images dirs

Revision 1.21.2.12  2004/11/15 21:45:39  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.21.2.11  2004/11/13 20:54:01  troll
- updated 4.1.91 (4.2 beta 2)
- more strict dependencies

Revision 1.21.2.10  2004/10/09 07:41:38  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.21.2.9  2004/08/21 22:42:57  havner
- 20040822 (4.1.6)

Revision 1.21.2.8  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.21.2.7  2004/08/15 00:28:16  havner
- md5

Revision 1.21.2.6  2004/08/14 23:51:35  havner
- proper version
- stricter BR
- %%files fixed
- 20040813

Revision 1.21.2.5  2004/08/07 00:41:52  havner
- 20040806

Revision 1.21.2.4  2004/06/22 13:22:20  jpc
- fixes from troll
- cosmetics

Revision 1.21.2.3  2004/06/16 22:24:53  jpc
- new snap 20040617
- critical fixes (was core dumping after pressing Alt+Tab)

Revision 1.21.2.2  2004/06/16 18:40:17  jpc
- themes moved permanently

Revision 1.21.2.1  2004/06/16 17:30:36  jpc
- new snap 20040616
- autotoolize
- add fr docs
- 2 desktop files
- a new place for themes (?)

Revision 1.21  2004/04/18 07:37:49  ankry
- fixed src URL

Revision 1.20  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.19  2004/04/16 22:16:23  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.18  2004/03/10 20:57:36  troll
- updated to 4.0.4

Revision 1.17  2004/01/14 22:03:57  undefine
- copy config.sub, release 2

Revision 1.16  2004/01/13 06:00:00  troll
- updated to 4.0.3.1

Revision 1.15  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.14  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.13  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.12  2003/09/27 09:13:40  troll
- updated to 4.0.0

Revision 1.11  2003/09/14 15:59:07  troll
- updated to 3.99.4

Revision 1.10  2003/08/28 13:07:52  speedy
- broken mind, more coffee req.

Revision 1.9  2003/08/28 13:02:15  speedy
- next problem. do test-build...

Revision 1.8  2003/08/27 09:32:38  pascalek
- updated to 3.99.3

Revision 1.7  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.6  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.5  2003/07/07 07:41:45  pascalek
- updated to 3.91.0

Revision 1.4  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.3  2003/06/17 13:18:02  qboosh
- oops, xfwm4 and xfce4 dirs are not the same - fixed files

Revision 1.2  2003/06/17 13:10:41  qboosh
- pl, cleanups, fixed file list, added startup-notification deps

Revision 1.1  2003/06/14 20:41:12  pascalek
- initial release
